/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package test;

import org.dive4elements.river.client.shared.model.Data;
import org.dive4elements.river.client.shared.model.DataItem;
import org.dive4elements.river.client.shared.model.DefaultData;
import org.dive4elements.river.client.shared.model.DefaultDataItem;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class WQInputHelper {

    private final double[] wasserspiegellagen;

    public WQInputHelper(final double[] wasserspiegellagen) {
        this.wasserspiegellagen = wasserspiegellagen;
    }

    public Data[] getDataforFeed() {

        // from Panel: new DefaultDataItem("wq_single", "wq_single", sb.toString());
        final StringBuilder sb = new StringBuilder();
        for (final double value : this.wasserspiegellagen) {
            sb.append(Double.toString(value));
            sb.append(" ");
        }

        final DataItem wsplItem = new DefaultDataItem("wq_single", "wq_single", sb.toString());

        return new Data[] {

                new DefaultData("wq_isq", null, null, new DataItem[] { new DefaultDataItem("wq_isq", "wq_isq", "true") }),
                new DefaultData("wq_isfree", null, null, new DataItem[] { new DefaultDataItem("wq_isfree", "wq_isfree", "false") }),
                new DefaultData("wq_isrange", null, null, new DataItem[] { new DefaultDataItem("wq_isrange", "wq_isrange", "false") }),
                new DefaultData("wq_from", null, null, new DataItem[] { new DefaultDataItem("wq_from", "wq_from", "") }),
                new DefaultData("wq_to", null, null, new DataItem[] { new DefaultDataItem("wq_to", "wq_to", "") }),
                new DefaultData("wq_step", null, null, new DataItem[] { new DefaultDataItem("wq_step", "wq_step", "") }),

                new DefaultData("wq_single", null, null, new DataItem[] { wsplItem }) };

    }
}
